[mythtv-users] nuvexport to DVD does not work

e394td at comcast.net e394td at comcast.net
Tue Nov 30 00:59:17 UTC 2004

> > I had the same problem a while ago. I believed I solved it by
> > installing the mjpegtools package from apt. Use the command:
> > apt-get install mjpegtools
> > 
> > This installs a few libraries that transcode uses to encode mpeg-2
> > files. I have no idea why this is not a co-dependency of transcode or
> > even an optional install when installing transcode, but it is not.
> > 
> > The reason why transcode is failing is because it is calling
> > mpeg2enc(mpg2enc?) and since it can't find it, transcode stalls out.
> I am having the same problem, and posted a similar question today.  I've 
> uninstalled and reinstalled both transcode and mjpegtools via apt (FC1, atrpms), 
> but I'm still missing some libaries (namely, 
> /usr/lib/transcode/export_mp2enc.so).  Isn't export_mp2enc.so supposed to come 
> with mjpegtools?
> Here is the transcode error I'm getting when trying to nuvexport a show in 
> VCD-level quality:
> [transcode] warning : /usr/lib/transcode/export_mp2enc.so: cannot open shared 
> object file: No such file or directory
> [transcode] warning : (dl_loader.c) loading 
> "/usr/lib/transcode/export_mp2enc.so" failed
> [transcode] warning : (encoder.c) loading audio export module failed
> [transcode] warning : failed to init export modules
> [transcode] critical: plug-in initialization failed

I think export_mp2enc.so and export_mpeg2enc.so might be missing from the atrpms mjpegtools package.  I replaced the atrpms transcode and mjpegtools packages with the ones from freshrpms, and export_mp2enc.so and export_mpeg2enc.so are now present under /usr/lib/transcode.  Now I can do VCD-quality transcodes via nuvexport, no problem.

More information about the mythtv-users mailing list